<template>
  <div id="anfahrt" class="module-anfahrt row">
    <div class="col-12 col-md-6 col-lg-5 offset-lg-1 module">
      <h2 v-if="data.headline" class="h3" v-html="$stripPTags(data.headline)" />
      <div v-if="data.text" class="text" v-html="data.text" />
      <b>{{ options.companyname }}</b>
      <p v-html="options.address" />
      <a :href="`mailto:${options.email}`" class="cta">{{ options.email }}</a>
      <a :href="`tel:${options.phone}`" class="cta">{{ options.phone }}</a>
    </div>
    <div class="p-0 col-12 col-md-6 col-lg-5 offset-lg-1 position-relative">
      <div class="map-wrapper">
        <client-only>
          <l-map
            id="leaflet"
            :zoom="14.5"
            :max-zoom="16"
            :min-zoom="12"
            :center="coords"
          >
            <l-tile-layer
              ref="tileLayer"
              url="https://tile.jawg.io/1712c030-3dc6-42a5-bb08-ccb96b09f813/{z}/{x}/{y}{r}.png?access-token=6QrZOeycYwHmVlLjX1t0BiShJ0QZHQWxHKv9IJmLGIR5zFrH9ng9za4YayXX20z4"
            >
            </l-tile-layer>
            <l-marker ref="marker" :lat-lng="coords">
              <l-popup
                :options="{
                  closeButton: false,
                  offset: [0, -4],
                }"
              >
                <address v-html="options.address"></address>
                <a :href="data.routeurl" target="_blank"> Anreise planen </a>
              </l-popup>
            </l-marker>
          </l-map>
        </client-only>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type:Object,
      default: () => {},
    }
  },
  computed: {
    coords() {
      if (this.data.coordinates && this.data.coordinates.split(',').length === 2) {
        return this.data.coordinates.split(',');
      }
      return [50.1155277,8.6472508];
    },
    options() {
      return this.$store.state.options;
    },
  },
  mounted() {
    this.$nextTick(() => {
      if (this.$refs && this.$refs.marker && this.$refs.marker.mapObject) {
        this.$refs.marker.mapObject.openPopup();
      }
    });
  },
}
</script>

<style lang="scss">
.module-anfahrt {
  .cta {
    display: block;
    margin-bottom: 1rem;
    font-weight: 300;
    font-size: 1.25rem;
    letter-spacing: 0.28px;
  }

  .text {
    margin-bottom: 2rem;
  }

  .map-wrapper {
    padding-bottom: 100%;
    background: #e9e9e7;

    @include media-breakpoint-up(lg) {
      position: relative;
      left: 1.5rem;
      top: 0;
      width: 100%;
      height: 100%;
    }
  }

  #leaflet {
    position: absolute;
    height: 100%;
    width: 100%;
    pointer-events: none;

    .leaflet-control-zoom,
    .leaflet-control-attribution {
      display: none;
    }

    .leaflet-popup-content-wrapper {
      a {
        color: $black;
        pointer-events: all;

        &:hover {
          color: $primary;
        }
      }
    }
  }
}
</style>
